List existing CNI objects
GET/accounts/{account_id}/cni/cnis
Lists all Cloud Network Interconnects (CNIs) configured for the account, showing connection status and parameters.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Query Parameters
List existing CNI objects
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cni/cnis \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"items": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account": "account",
"cust_ip": "192.168.3.4/31",
"interconnect": "interconnect",
"magic": {
"conduit_name": "conduit_name",
"description": "description",
"mtu": 0
},
"p2p_ip": "192.168.3.4/31",
"bgp": {
"customer_asn": 0,
"extra_prefixes": [
"string"
],
"md5_key": "md5_key"
},
"bgp_mode": "dynamic_route_exchange"
}
],
"next": 0
}Returns Examples
{
"items": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account": "account",
"cust_ip": "192.168.3.4/31",
"interconnect": "interconnect",
"magic": {
"conduit_name": "conduit_name",
"description": "description",
"mtu": 0
},
"p2p_ip": "192.168.3.4/31",
"bgp": {
"customer_asn": 0,
"extra_prefixes": [
"string"
],
"md5_key": "md5_key"
},
"bgp_mode": "dynamic_route_exchange"
}
],
"next": 0
}